Get Forum Subscribers

GET /internal/admin/comms/v1/forums/subscribers

Operation id: get__internal_admin_comms_v1_forums_subscribers

Description

Get Forum Subscribers

Tags: User Forums

Parameters

Query parameters

NameTypeRequiredDescription
forumIdintegerYesForum ID
pageintegerNoPage number
pageSizeintegerNoPage size

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

401 — Unauthorized

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
dataarrayNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "First Name": {
            "type": "string"
          },
          "Last Name": {
            "type": "string"
          },
          "Permission": {
            "type": "string"
          }
        }
      }
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

401 — Unauthorized

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}